int ledPin = 9;    // LED connected to digital pin 9
int alarmPin = 10;

int alarm = LOW;
int val;

void Alarm()
{
  for(int fadeValue = 0 ; fadeValue <= 255; fadeValue +=20) { 
      analogWrite(ledPin, fadeValue);  
      analogWrite(alarmPin,fadeValue);    
      delay(30);                            
    } 

    for(int fadeValue = 255 ; fadeValue >= 0; fadeValue -=20) { 
      analogWrite(ledPin, fadeValue);  
      analogWrite(alarmPin,fadeValue);
      delay(30);                            
    } 
    alarm = LOW;
}

void setup()  { 
  Serial.begin(9600);
  Serial.flush();
} 

void loop()  { 

  if(Serial.available())
  {
    val = Serial.read();
    Serial.println(val);
    if (val == 'A') alarm = HIGH;
    else alarm = LOW;
    
  }
  
  if (alarm)
  {
    Alarm();
  } 
  else
  {
    analogWrite(ledPin,0);
    analogWrite(alarmPin,0);
  }
}



